using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class TasaReferenciaLogic
    {
         #region Constructor

        private TasaReferenciaDataAccess TasaReferenciaDA;

        public TasaReferenciaLogic()
        {
            TasaReferenciaDA = new TasaReferenciaDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<TasaReferencia> ListarTasaReferencia()
        {
            List<TasaReferencia> results = null;
            try
            {

                results = TasaReferenciaDA.ListadoTasaReferencia();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
